Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common.tourguide
Interface TourGuide

All Known Implementing Classes:
  B2BTourGuide, B2CTourGuide

public interface TourGuide
extends java.io.Serializable

Classes which implement this interface provide the logic to decide what the Tour Guide should display based on the state of the portal application. The class should maintain data about each instance of the Tour Guide that is running in the application. It is important to make sure that the implementation class is serializable since it will be part of the `PiplineSession`. This interface also contains constants which are used throughout the Tour Guide framework.

See Also:
  `TourGuideData`

Field Summary
`static java.lang.String` | `CODE_VIEWER_URI` The location of the JSP code viewer
`static java.lang.String` | `DOCUMENT_URI` The location of the Tour Guide content files
`static java.lang.String` | `EDOCS_DOC_PREFIX` Prefix for edocs content files
`static java.lang.String` | `EDOCS_MAX_ICON` Icon for "Read eDocs" section
`static java.lang.String` | `EDOCS_VALUE` Display "Read eDocs" for maximized tour guide
`static java.lang.String` | `NEXT_STEPS_DOC_PREFIX` Prefix for "Next Steps" content files
`static java.lang.String` | `OPTION_PARAM` HTTP request parameter indicating which maximized link was selected
`static java.lang.String` | `PIPELINE_ATTR` The pipeline session attribute the Tour Guide object will be stored as
`static java.lang.String` | `TECH_DETAILS_DOC_PREFIX` Prefix for technical details content files
`static java.lang.String` | `TECH_DETAILS_MAX_ICON` Icon for "Technical Details" section
`static java.lang.String` | `TECH_DETAILS_VALUE` Display "Technical Details" for maximized tour guide
`static java.lang.String` | `VIEW_CODE_MAX_ICON` Icon for "View Code" section
`static java.lang.String` | `VIEW_CODE_VALUE` Display "View Code" for maximized tour guide
`static java.lang.String` | `WHATS_NEW_DOC_PREFIX` Prefix for "What's New" content files

Method Summary
`TourGuideData` | `determineState(javax.servlet.http.HttpServletRequest request)` This method should gather information about the state of the portal application and decide what content is appropriate for the Tour Guide to display.
`TourGuideData` | `getInstanceData(java.lang.String pageName)` This method should return the Tour Guide instance data for the specified portal page.

Field Detail

### DOCUMENT_URI

    public static final java.lang.String DOCUMENT_URI

  The location of the Tour Guide content files

### CODE_VIEWER_URI

    public static final java.lang.String CODE_VIEWER_URI

  The location of the JSP code viewer

### WHATS_NEW_DOC_PREFIX

    public static final java.lang.String WHATS_NEW_DOC_PREFIX

  Prefix for "What's New" content files

### NEXT_STEPS_DOC_PREFIX

    public static final java.lang.String NEXT_STEPS_DOC_PREFIX

  Prefix for "Next Steps" content files

### TECH_DETAILS_DOC_PREFIX

    public static final java.lang.String TECH_DETAILS_DOC_PREFIX

  Prefix for technical details content files

### EDOCS_DOC_PREFIX

    public static final java.lang.String EDOCS_DOC_PREFIX

  Prefix for edocs content files

### TECH_DETAILS_MAX_ICON

    public static final java.lang.String TECH_DETAILS_MAX_ICON

  Icon for "Technical Details" section

### VIEW_CODE_MAX_ICON

    public static final java.lang.String VIEW_CODE_MAX_ICON

  Icon for "View Code" section

### EDOCS_MAX_ICON

    public static final java.lang.String EDOCS_MAX_ICON

  Icon for "Read eDocs" section

### OPTION_PARAM

    public static final java.lang.String OPTION_PARAM

  HTTP request parameter indicating which maximized link was selected

### TECH_DETAILS_VALUE

    public static final java.lang.String TECH_DETAILS_VALUE

  Display "Technical Details" for maximized tour guide

### VIEW_CODE_VALUE

    public static final java.lang.String VIEW_CODE_VALUE

  Display "View Code" for maximized tour guide

### EDOCS_VALUE

    public static final java.lang.String EDOCS_VALUE

  Display "Read eDocs" for maximized tour guide

### PIPELINE_ATTR

    public static final java.lang.String PIPELINE_ATTR

  The pipeline session attribute the Tour Guide object will be stored as

Method Detail

### determineState

    public TourGuideData determineState(javax.servlet.http.HttpServletRequest request)
                                 throws javax.servlet.jsp.JspException

  This method should gather information about the state of the portal application and decide what content is appropriate for the Tour Guide to display.

### getInstanceData

    public TourGuideData getInstanceData(java.lang.String pageName)

  This method should return the Tour Guide instance data for the specified portal page.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved